{
  "name": "server",
  "version": "0.0.1",
  "description": "server for museo.red",
  "main": "index.js",
  "license": "UNLICENSED",
  "scripts": {
    "build": "babel src --out-dir build --copy-files",
    "serve": "node build/index.js",
    "start": "nodemon -w src --exec \"npm run build && npm run serve\"",
    "lint": "eslint src/**/*.js*",
    "fix": "eslint --fix src/**/*.js*"
  },
  "author": "Ian Mancini <ianmethyst@gmail.com>",
  "devDependencies": {
    "@babel/cli": "^7.12.1",
    "@babel/core": "^7.12.3",
    "@babel/preset-env": "^7.12.1",
    "@types/body-parser": "^1.19.0",
    "@types/connect-redis": "0.0.14",
    "@types/cookie-parser": "^1.4.2",
    "@types/express": "^4.17.8",
    "@types/express-session": "^1.17.0",
    "@types/mongoose": "^5.7.36",
    "@types/morgan": "^1.9.2",
    "@types/node": "^14.14.3",
    "@types/passport": "^1.0.4",
    "@types/redis": "^2.8.28",
    "@types/socket.io": "^2.1.11",
    "@types/winston": "^2.4.4",
    "eslint": "^7.12.0",
    "eslint-config-prettier": "^6.14.0",
    "eslint-plugin-prettier": "^3.1.4",
    "eslint-plugin-simple-import-sort": "^5.0.3",
    "nodemon": "^2.0.6",
    "prettier": "^2.1.2"
  },
  "dependencies": {
    "body-parser": "^1.19.0",
    "connect-redis": "^5.0.0",
    "cookie-parser": "^1.4.5",
    "dotenv": "^8.2.0",
    "express": "^4.17.1",
    "express-http-proxy": "^1.6.2",
    "express-session": "^1.17.1",
    "mongoose": "^5.10.10",
    "morgan": "^1.10.0",
    "passport": "^0.4.1",
    "passport-facebook": "^3.0.0",
    "passport-google-oauth20": "^2.0.0",
    "passport-twitter": "^1.0.4",
    "passport.socketio": "^3.7.0",
    "redis": "^3.0.2",
    "regenerator-runtime": "^0.13.7",
    "socket.io": "^3.0.1",
    "socket.io-redis": "^6.0.1",
    "winston": "^3.3.3"
  }
}
